#
# spec file for package gtksourceviewmm
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gtksourceviewmm
Version:        3.91.1
Release:        1.17
Summary:        C++ interface for gtksourceview
License:        LGPL-2.1-or-later
Group:          Development/Libraries/GNOME
Url:            http://projects.gnome.org/gtksourceviewmm/
Source0:        http://download.gnome.org/sources/gtksourceviewmm/3.91/%{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.46.1
BuildRequires:  pkgconfig(gtkmm-3.0) >= 3.18.0
BuildRequires:  pkgconfig(gtksourceview-4) >= 4.3.92

%description
gtksourceviewmm provides a C++ interface to the gtksourceview library.

%package -n libgtksourceviewmm-4_0-0
Summary:        C++ interface for gtksourceview
Group:          System/Libraries

%description -n libgtksourceviewmm-4_0-0
gtksourceviewmm provides a C++ interface to the gtksourceview library.

%package devel
Summary:        Development files for the gtksourceview C++ interface
Group:          Development/Libraries/C and C++
Requires:       libgtksourceviewmm-4_0-0 = %{version}

%description devel
gtksourceviewmm provides a C++ interface to the gtksourceview library.

%prep
%setup -q

%build
%configure \
        --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libgtksourceviewmm-4_0-0 -p /sbin/ldconfig
%postun -n libgtksourceviewmm-4_0-0 -p /sbin/ldconfig

%files -n libgtksourceviewmm-4_0-0
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%{_includedir}/gtksourceviewmm-4.0/
%{_libdir}/gtksourceviewmm-4.0/
%{_libdir}/*.so
%{_libdir}/pkgconfig/gtksourceviewmm-4.0.pc
%doc %{_datadir}/devhelp/books/gtksourceviewmm-4.0/
%doc %{_datadir}/doc/gtksourceviewmm-4.0/
# Avoid BuildRequires on devhelp
%dir %{_datadir}/devhelp
%dir %{_datadir}/devhelp/books

%changelog
* Fri Sep  6 2019 luke@ljones.dev
- Update to version 3.91.1:
  + Adapt to new-style enum values.
  + Use gtksourceview-4 instead of gtksourceview-3.0,
    and change ABI from gtksourceviewmm-3.0 to gtksourceviewmm-4.0.
  + StyleSchemeChooserWidget: Correct the underlying GType name.
  + Completion:
  - Remove get/set_draw_spaces().
  - show(): Rename to start().
  + tests:
  - Remove Gtk::Container::show_all() calls.
  - Avoid deprecated Gtk::HBox and Gtk::VBox.
  - Use the libsigc++-3.0 syntax.
  + Remove deprecated API.
* Tue Mar  6 2018 jengelh@inai.de
- Fix SRPM group. Update summaries.
* Thu Mar  1 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Wed Nov 23 2016 dimstar@opensuse.org
- Update to version 3.21.3:
  + Add SearchContext ad SearchSettings.
  + Add StyleSchemeChooser, StyleSchemeChooserWidget and
    StyleSchemeChooserButton.
  + Buffer: Add implicit-trailing-newline property.
  + CompletionWords: Add activation property.
  + Language: Add get_style_fallback().
  + Style: Add style and scale-set properties.
  + View: Add get/set_background-pattern().
* Tue Jun 28 2016 zaitor@opensuse.org
- Update to version 3.21.2:
  + C++11: Markup: Deprecated operator const void*(), adding
    explicit operator bool().
  + Include only gtksource.h where possible. This is demanded by
    newer versions of gtksourceview.
- Drop gtksourceviewmm-C++11-fix-deprecated.patch: Fixed upstream.
* Tue Jun 21 2016 zaitor@opensuse.org
- Add gtksourceviewmm-C++11-fix-deprecated.patch: C++11: Markup:
  Deprecated operator const void*(), adding explicit operator
  bool(). Patch from upstream git.
* Thu Oct  1 2015 zaitor@opensuse.org
- Update to version 3.18.0:
  + Regenerate with the latest glibmm.
* Sat Jul 18 2015 zaitor@opensuse.org
- Update to version 3.17.1:
  + Require (and use) C++11.
* Thu Apr 30 2015 zaitor@opensuse.org
- Update to version 3.12.0:
  + Deprecated some API because some of the C API was deprecated.
  + Fix the examples build with recent gtkmm versions.
* Sat Mar  2 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Thu Sep 29 2011 dimstar@opensuse.org
- Update to version 3.2.0:
  + Wrapped gtk_source_gutter_get_renderer_at_pos() as
    Gsv::Gutter::get_renderer_at_pos().
  + Search test does not use deprecated methods.
* Thu Apr 28 2011 vuntz@opensuse.org
- New package, loosely based on libgtksourceviewmm that it will
  replace: libgtksourceviewmm is a very old version of the code.
- Initial version: 3.0.0.
